UbuntuUpdates.org

Package "dpdk"

Name: dpdk

Description:

Data Plane Development Kit (runtime)

Latest version: 18.11.5-0ubuntu0.19.10.2
Release: eoan (19.10)
Level: updates
Repository: main
Homepage: https://www.dpdk.org

Links


Download "dpdk"


Other versions of "dpdk" in Eoan

Repository Area Version
base universe 18.11.2-4
base main 18.11.2-4
security main 18.11.5-0ubuntu0.19.10.2
security universe 18.11.5-0ubuntu0.19.10.2
updates universe 18.11.5-0ubuntu0.19.10.2

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 18.11.5-0ubuntu0.19.10.2 2020-05-18 17:06:49 UTC

  dpdk (18.11.5-0ubuntu0.19.10.2) eoan-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in vhost_user_set_log_base()
    - d/p/0001-vhost-check-log-mmap-offset-and-size-overflow.patch: check
      log mmap offset and size overflow in lib/librte_vhost/vhost_user.c.
    - CVE-2020-10722
  * SECURITY UPDATE: Int truncation in vhost_user_check_and_alloc_queue_pair()
    - d/p/0002-vhost-fix-vring-index-check.patch: fix vring index check in
      lib/librte_vhost/vhost_user.c.
    - CVE-2020-10723
  * SECURITY UPDATE: Missing inputs validation in Vhost-crypto
    - d/p/0003-vhost-crypto-validate-keys-lengths.patch: validate keys
      lengths in lib/librte_vhost/vhost_crypto.c.
    - CVE-2020-10724

 -- Marc Deslauriers <email address hidden> Tue, 12 May 2020 07:41:12 -0400

Source diff to previous version
CVE-2020-10722 RESERVED
CVE-2020-10723 RESERVED
CVE-2020-10724 RESERVED

Version: 18.11.5-0ubuntu0.19.10.1 2019-11-25 14:06:36 UTC

  dpdk (18.11.5-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY REGRESSION: updated to 18.11.5 to fix regression in 18.11.4
    (LP: #1853463)
    - vhost: fix vring requests validation broken if no FD

 -- Marc Deslauriers <email address hidden> Thu, 21 Nov 2019 09:39:22 -0500

Source diff to previous version
1853463 Regression in USN-4189-1 security updates

Version: 18.11.4-1ubuntu0.19.10.1 2019-11-13 15:07:27 UTC

  dpdk (18.11.4-1ubuntu0.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Updated to 18.11.4 to fix security issue.
    - CVE-2019-14818

 -- Marc Deslauriers <email address hidden> Tue, 12 Nov 2019 09:26:54 -0500




About   -   Send Feedback to @ubuntu_updates